export const CREATE_NEW_SUBJECT_START = 'CREATE_NEW_SUBJECT_START';
export const CREATE_NEW_SUBJECT_SUCCESS = 'CREATE_NEW_SUBJECT_SUCCESS';
export const CREATE_NEW_SUBJECT_FAIL = 'CREATE_NEW_SUBJECT_FAIL';

export const CREATE_NEW_MEMBER_START = 'CREATE_NEW_MEMBER_START';
export const CREATE_NEW_MEMBER_SUCCESS = 'CREATE_NEW_MEMBER_SUCCESS';
export const CREATE_NEW_MEMBER_FAIL = 'CREATE_NEW_MEMBER_FAIL';


export const GET_ALL_SUBJECTS_START = 'GET_ALL_SUBJECTS_START';
export const GET_ALL_SUBJECTS_SUCCESS = 'GET_ALL_SUBJECTS_SUCCESS';
export const GET_ALL_SUBJECTS_FAIL = 'GET_ALL_SUBJECTS_FAIL';

export const GET_ALL_MEMBERS_START = 'GET_ALL_MEMBERS_START';
export const GET_ALL_MEMBERS_SUCCESS = 'GET_ALL_MEMBERS_SUCCESS';
export const GET_ALL_TYPES_MEMBERS_SUCCESS = 'GET_ALL_TYPES_MEMBERS_SUCCESS';
export const GET_ALL_MEMBERS_FAIL = 'GET_ALL_MEMBERS_FAIL';

export const UPDATE_MEMBER_START = 'UPDATE_MEMBER_START';
export const UPDATE_MEMBER_SUCCESS = 'UPDATE_MEMBER_SUCCESS';
export const UPDATE_MEMBER_FAIL = 'UPDATE_MEMBER_FAIL';

export const UPDATE_BY_ADMIN_MEMBER_START = 'UPDATE_BY_ADMIN_MEMBER_START';
export const UPDATE_BY_ADMIN_MEMBER_SUCCESS = 'UPDATE_BY_ADMIN_MEMBER_SUCCESS';
export const UPDATE_BY_ADMIN_MEMBER_FAIL = 'UPDATE_BY_ADMIN_MEMBER_FAIL';

export const GET_ASSIGNED_MEMBERS_TO_SUBJECT_START = 'GET_ASSIGNED_MEMBERS_TO_SUBJECT_START';
export const GET_ASSIGNED_MEMBERS_TO_SUBJECT_SUCCESS = 'GET_ASSIGNED_MEMBERS_TO_SUBJECT_SUCCESS';
export const GET_ASSIGNED_MEMBERS_TO_SUBJECT_FAIL = 'GET_ASSIGNED_MEMBERS_TO_SUBJECT_FAIL';

export const CLEAR_SUBJECT_MIXED_FIELD = 'CLEAR_SUBJECT_MIXED_FIELD';

export const DELETE_MEMBER_START = 'DELETE_MEMBER_START';
export const DELETE_MEMBER_SUCCESS = 'DELETE_MEMBER_SUCCESS';
export const DELETE_MEMBER_FAIL = 'DELETE_MEMBER_FAIL';

export const DELETE_MEMBER_FROM_SUBJECT_START = 'DELETE_MEMBER_FROM_SUBJECT_START';
export const DELETE_MEMBER_FROM_SUBJECT_SUCCESS = 'DELETE_MEMBER_FROM_SUBJECT_SUCCESS';
export const DELETE_MEMBER_FROM_SUBJECT_FAIL = 'DELETE_MEMBER_FROM_SUBJECT_FAIL';

export const ADD_MEMBER_TO_SUBJECT_START = 'ADD_MEMBER_TO_SUBJECT_START';
export const ADD_MEMBER_TO_SUBJECT_SUCCESS = 'ADD_MEMBER_TO_SUBJECT_SUCCESS';
export const ADD_MEMBER_TO_SUBJECT_FAIL = 'ADD_MEMBER_TO_SUBJECT_FAIL';

export const GET_MEMBER_AMOUNT_START = 'GET_MEMBER_AMOUNT_START';
export const GET_MEMBER_AMOUNT_SUCCESS = 'GET_MEMBER_AMOUNT_SUCCESS';
export const GET_MEMBER_AMOUNT_FAIL = 'GET_MEMBER_AMOUNT_FAIL';

export const CLEAR_MEMBER_LIST = 'CLEAR_MEMBER_LIST';


export const ARCHIVE_SUBJECT_START = 'ARCHIVE_SUBJECT_START';
export const ARCHIVE_SUBJECT_SUCCESS = 'ARCHIVE_SUBJECT_SUCCESS';
export const ARCHIVE_SUBJECT_FAIL = 'ARCHIVE_SUBJECT_FAIL';

export const UPDATE_SUBJECT_START = 'UPDATE_SUBJECT_START';
export const UPDATE_SUBJECT_SUCCESS = 'UPDATE_SUBJECT_SUCCESS';
export const UPDATE_SUBJECT_FAIL = 'UPDATE_SUBJECT_FAIL';

export const RESET_REDUCER = 'RESET_REDUCER';

export const GET_ASSIGNED_STUDENTS_SUCCESS = 'GET_ASSIGNED_STUDENTS_SUCCESS';
export const GET_ASSIGNED_TEACHER_SUCCESS = 'GET_ASSIGNED_TEACHER_SUCCESS';

export const CLEAR_ADMINS_TEACHERS_STUDENTS = 'CLEAR_ADMINS_TEACHERS_STUDENTS';
